=== templates/Makefile ===
# Automatically Generated Makefile by EDE.
# For use with: make
# Relative File Name: templates/Makefile
#
# DO NOT MODIFY THIS FILE OR YOUR CHANGES MAY BE LOST.
# EDE is the Emacs Development Environment.
# http://cedet.sourceforge.net/ede.shtml
#

top=../
ede_FILES=Project.ede Makefile

templates_MISC=srecode-matlab.srt
VERSION=4.0
DISTDIR=$(top)matlab-emacs-$(VERSION)/templates



all: templates

templates: 
	@

tags: 

.PHONY: dist

dist:
	mkdir $(DISTDIR)
	cp $(templates_MISC) $(ede_FILES) $(DISTDIR)

# End of Makefile
