=== debian/changelog ===
matlab-mode (0~20240418.git0059543-1) unstable; urgency=medium

  * New upstream snapshot
  * Bump S-V to 4.7.0

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 23 Apr 2024 13:11:12 +0200

matlab-mode (0~20230725.gitf66183a-1) unstable; urgency=medium

  * Initial release. (Closes: #902739)

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 12 Mar 2024 15:17:56 +0100
