=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	# Don’t run upstream build system

execute_after_dh_fixperms:
	# Fix spurious executable bit
	chmod -x debian/elpa-matlab-mode/usr/share/emacs/site-lisp/elpa-src/matlab-mode-*/company-matlab-shell.el
