=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=0~%cd.git%h" \
https://git.code.sf.net/p/matlab-emacs/src \
HEAD debian uupdate
