## matlab-mode 0~20240521.gita78b368

=== toolbox/Makefile ===
# Automatically Generated Makefile by EDE.
# For use with: make
# Relative File Name: toolbox/Makefile
#
# DO NOT MODIFY THIS FILE OR YOUR CHANGES MAY BE LOST.
# EDE is the Emacs Development Environment.
# http://cedet.sourceforge.net/ede.shtml
#

top=../
ede_FILES=Project.ede Makefile

matlab_MISC=emacsinit.m opentoline.m emacsdocomplete.m dbhotlink.m emacsnetshell.m emacsrunregion.m +emacs/@EmacsServer/EmacsServer.m
VERSION=4.0
DISTDIR=$(top)matlab-emacs-$(VERSION)/toolbox



all: matlab

matlab: 
	@

tags: 

.PHONY: dist

dist:
	mkdir $(DISTDIR)
	cp $(matlab_MISC) $(ede_FILES) $(DISTDIR)

# End of Makefile
