=== debian/changelog ===
matlab-mode (0~20240521.gita78b368-1) unstable; urgency=medium

  * New upstream snapshot

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 29 May 2024 11:51:29 +0200
