=== debian/control ===
Source: matlab-mode
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13),
               dh-elpa
Vcs-Browser: https://salsa.debian.org/emacsen-team/matlab-mode
Vcs-Git: https://salsa.debian.org/emacsen-team/matlab-mode.git
Homepage: https://matlab-emacs.sourceforge.net/
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-elpa

Package: elpa-matlab-mode
Architecture: all
Depends: ${misc:Depends},
         ${elpa:Depends}
Enhances: emacs
Description: MATLAB/Emacs integration
 The MATLAB/Emacs support files include the following features:
  - matlab-mode - An Emacs major-mode for editing MATLAB programs
     - Syntax highlighting
     - Smart Indentation engine
     - Smart auto-fill for comments and code
  - matlab-shell - Run MATLAB inside Emacs on Unix like operating systems
     - Syntax highlighting
     - Persistent command history
     - Command completion
     - Run code from matlab-mode in matlab-shell
     - GUD support for debugging programs files
  - mlint-mode
     - Use mlint to identify and highlight warnings and errors from mlint
     - Auto-fix some common errors
     - Nested function variable highlighting.
  - CEDET support for parsing and smart completion
  - Code templates
  - tlc-mode (target language compiler)
