=== debian/changelog ===
matlab-mode (0~20240906.git0772bc2-1) unstable; urgency=medium

  * New upstream snapshot
  * Project moved to GitHub
  * d/copyright: reflect upstream changes
  * Ship example org-mode file

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 25 Sep 2024 12:19:15 +0200

matlab-mode (0~20240521.gita78b368-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 22:46:07 +0900
