=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-elpa
 Vcs-Browser: https://salsa.debian.org/emacsen-team/matlab-mode
 Vcs-Git: https://salsa.debian.org/emacsen-team/matlab-mode.git
-Homepage: https://matlab-emacs.sourceforge.net/
+Homepage: https://github.com/MathWorks/Emacs-MATLAB-Mode
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
