=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=0~%cd.git%h" \
https://github.com/mathworks/Emacs-MATLAB-Mode \
HEAD
