## matlab-mode 6.3

=== debian/changelog ===
matlab-mode (6.3-1) unstable; urgency=medium

  * d/watch: now follow released tarballs at elpa.gnu.org
  * New upstream version 6.3
  * d/control, d/copyright: switch to homepage at GNU ELPA
  * d/copyright: reflect upstream changes
  * Drop examples, they are not in the tarball

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 21 Dec 2024 22:08:25 +0100
