=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/,repack,compression=xz \
     https://elpa.gnu.org/packages/@PACKAGE@.html @PACKAGE@-@ANY_VERSION@\.tar
