## matlab-mode 7.1.1

=== debian/changelog ===
matlab-mode (7.1.1-1) unstable; urgency=medium

  * New upstream version 7.1.1
  * d/copyright: reflect upstream changes
  * Update long package description with new features

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 08 Oct 2025 01:20:11 +0200

matlab-mode (6.3-2) unstable; urgency=medium

  * d/watch: bugfix and upgrade to format version 5
  * Drop “Rules-Requires-Root: no”, which is now the default
  * Bump S-V to 4.7.2

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 24 Sep 2025 20:24:51 +0200
