## matlab-mode 7.1.2

=== debian/changelog ===
matlab-mode (7.1.2-1) unstable; urgency=medium

  * New upstream version 7.1.2

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 23 Oct 2025 20:27:03 +0200
