=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	# Don’t run upstream build system

override_dh_installexamples:
	dh_installexamples -X.gitignore
