=== debian/watch ===
Version: 5

Source: https://elpa.gnu.org/packages/matlab-mode.html
Matching-Pattern: matlab-mode@ANY_VERSION@\.tar
Compression: xz
Pgpsigurlmangle: s/$/.sig/
Repack: yes
