## matlab-mode 7.2.1

=== debian/changelog ===
matlab-mode (7.2.1-1) unstable; urgency=medium

  * New upstream version 7.2.1

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 08 Nov 2025 15:20:40 +0100
