=== debian/control ===
Source: matlab-mode
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13),
               dh-elpa
Vcs-Browser: https://salsa.debian.org/emacsen-team/matlab-mode
Vcs-Git: https://salsa.debian.org/emacsen-team/matlab-mode.git
Homepage: https://elpa.gnu.org/packages/matlab-mode.html
Testsuite: autopkgtest-pkg-elpa

Package: elpa-matlab-mode
Architecture: all
Depends: ${misc:Depends},
         ${elpa:Depends}
Enhances: emacs
Description: MATLAB/Emacs integration
 The MATLAB/Emacs support files include the following features:
  - matlab-ts-mode, matlab-mode - Emacs major-modes for editing MATLAB programs
     - Syntax highlighting
     - Smart Indentation engine
     - Smart auto-fill for comments and code
     - Code navigation
     - Code sections support
  - matlab-shell - Run MATLAB inside Emacs
     - Syntax highlighting
     - Persistent command history
     - Command completion
     - Run code from matlab-mode in matlab-shell
     - GUD support for debugging programs files
     - Support for remote MATLAB sessions
  - mlint-mode
     - Use mlint to identify and highlight warnings and errors from mlint
     - Auto-fix some common errors
     - Nested function variable highlighting.
  - Code templates
  - Integration with Org-mode
  - tlc-mode for editing Target Language Compiler (.tlc) files
