## matlab-mode 7.4.1

=== debian/changelog ===
matlab-mode (7.4.1-1) unstable; urgency=medium

  * New upstream version 7.4.1
  * Add elpa-company to Recommends

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 23 Dec 2025 10:36:49 +0100
