=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${elpa:Depends}
+Recommends: elpa-company
 Enhances: emacs
 Description: MATLAB/Emacs integration
  The MATLAB/Emacs support files include the following features:
