## matlab-mode 7.4.2

=== debian/changelog ===
matlab-mode (7.4.2-1) unstable; urgency=medium

  * New upstream version 7.4.2
  * Drop “Priority: optional”, which is now the default
  * Bump Standards-Version to 4.7.3

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 14 Jan 2026 20:44:19 +0100
