=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: matlab-mode
 Section: editors
-Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends: debhelper-compat (= 13),
                dh-elpa
 Vcs-Browser: https://salsa.debian.org/emacsen-team/matlab-mode
